Home | Software Map | Motif Forums | Bug Home sponsored by ICS 
Bugzilla Bug
  1429
     Query page      Enter new bug
Bug#:1429 Platform: Version:
Product: OS: Reporter:ulm@gentoo.org (Ulrich Müller)
Status: CLOSED Priority: Cc:
Resolution: FIXED Severity: Component:
Assigned To: openmotif-devel@motifzone.net Target Milestone:
URL:
Summary:
Attachments: 06/25/08 12:24Proposed patch
Create a new attachment (proposed patch, testcase, etc.)
Bug 1429 depends on: Show dependency tree
Show dependency graph
Bug 1429 blocks:
Votes for bug 1429:    Vote for this bug

Additional Comments:


Leave as CLOSED FIXED
Reopen bug

View Bug Activity Format For Printing
Description: Opened: 2008-05-07 02:52

Forwarding Gentoo bug 220599, <http://bugs.gentoo.org/220599>.
Building Open Motif with recent autotools (autoconf-2.62, automake-1.10.1,
libtool-2.2.4) fails with the following error message:

 * Running aclocal -I . ...                                             [ ok ]
 * Running libtoolize --copy --force --install --automake ...           [ ok ]
 * Running aclocal -I . ...                                             [ ok ]
 * Running autoconf ...                                                 [ !! ]
 * Failed Running autoconf !

#cat /var/tmp/portage/x11-libs/openmotif-2.3.0-r2/temp/autoconf-22921.out
***** autoconf *****
***** autoconf

configure:19216: error: possibly undefined macro: LT_HAVE_FREETYPE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:19382: error: possibly undefined macro: LT_HAVE_XRENDER

Renaming variables LT_HAVE_FREETYPE and LT_HAVE_XRENDER in file ac_find_xft.m4
fixes the problem.


------- Additional Comments From Ihor Hayvuk 2008-06-25 12:24 -------
Created an attachment (id=185)
Proposed patch


------- Additional Comments From Ihor Hayvuk 2008-06-25 12:26 -------
Fixed in CVS HEAD and openmotif_2_3 branches

     Query page      Enter new bug
This is Mr. Samsa: the Open Motif bug system using Bugzilla. For more information about what Bugzilla is and what it can do, see mozilla.org's bug pages.
New | Query | bug # | Reports | New account | Log in